summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Smedegaard <dr@jones.dk>2018-04-16 19:50:15 +0200
committerJonas Smedegaard <dr@jones.dk>2018-04-16 19:50:15 +0200
commitde100167c8a7585d2c02b00c24ed7cb196240c23 (patch)
tree4abe08484f98b38d2aed3b182622c7bf413f56ca
parentdb1d1b048c5aba8f4d60a108250c5497a5ed8bef (diff)
Fix dhcp server setup.
-rwxr-xr-xskel/multistrap-hooks/completion_80_rootscript_net.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/skel/multistrap-hooks/completion_80_rootscript_net.sh b/skel/multistrap-hooks/completion_80_rootscript_net.sh
index 9578319..06abf36 100755
--- a/skel/multistrap-hooks/completion_80_rootscript_net.sh
+++ b/skel/multistrap-hooks/completion_80_rootscript_net.sh
@@ -54,11 +54,11 @@ firewall-cmd --permanent --zone internal --add-service mosh
firewall-cmd --reload
# setup dynamic-IP subnet
-incfile "/etc/dhcp/dhcpd.d/80-shared-network-10-10-0.conf"
+incfile="/etc/dhcp/dhcpd.d/80-shared-network-10-10-0.conf"
cfgfile="/etc/dhcp/dhcpd.conf"
line="#include \"$incfile\";"
-mkdir -p "$fs//etc/dhcp/dhcpd.d"
-cat <<'EOf' > "$fs$incfile"
+mkdir -p "/etc/dhcp/dhcpd.d"
+cat <<'EOf' > "$incfile"
# Dynamic-IP subnet in private class A net
shared-network 10-10-0 {
option domain-search "internal.localnet";
@@ -69,7 +69,7 @@ shared-network 10-10-0 {
}
}
EOf
-grep -q "$line" "$fs$incfile" || echo "$line" >> "$fs$incfile"
+grep -q "$line" "$cfgfile" || echo "$line" >> "$cfgfile"
echo 'Network settings applied succesfully!'
EOF